Update tenant user
Update user access for a tenant
put/tenants/{tenantUid}/users/{tenantUserUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUserUidstringRequiredPattern:
Reference to a TenantUser.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
resendInvitebooleanOptional
Check external payment gateways and fetch status
Body
accountTypestring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| FULL | Access to backoffice and onboarding of new devices |
| REGULAR | Can only login to already onboarded devices |
| SUPPORT | Support account |
| INTEGRATION | Computer integration account |
defaultStoreUidstringOptionalPattern:
^[A-Za-z0-9-_]+displayNamestringOptional
emailstringOptional
externalIdstringOptional
firstnamestringOptional
lastnamestringOptional
mobilestringOptional
passwordstringOptional
tenantRolestring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| BLOCKED | Blocked from this tenant |
| ACCESS | Only access to the tenant. |
| ADMIN | Tenant admin, allow full access to tenant and can add users and new stores. |
| BACKOFFICE | Access to product, pricelists, etc. |
userCodestringOptional
languageCodestringOptional
ISO 639-1 code for language
activebooleanOptional
Responses
200
Tenant user respose
application/json
accountTypestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| FULL | Access to backoffice and onboarding of new devices |
| REGULAR | Can only login to already onboarded devices |
| SUPPORT | Support account |
| INTEGRATION | Computer integration account |
createdAtstring · date-timeRequired
defaultStoreUidstringOptionalPattern:
^[A-Za-z0-9-_]*displayNamestringRequired
emailstringRequired
externalIdstringRequired
firstnamestringRequired
lastAccessedstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
lastnamestringRequired
mobilestringRequired
statusstring · enumRequiredPossible values:
tenantUidstringRequiredPattern:
^[A-Za-z0-9-_]+tenantNamestringRequired
tenantRolestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| BLOCKED | Blocked from this tenant |
| ACCESS | Only access to the tenant. |
| ADMIN | Tenant admin, allow full access to tenant and can add users and new stores. |
| BACKOFFICE | Access to product, pricelists, etc. |
tenantUserUidstringRequiredPattern:
^[A-Za-z0-9-_]+userCodestringRequired
languageCodestringRequired
ISO 639-1 code for language
put/tenants/{tenantUid}/users/{tenantUserUid}
PUT /v2/tenants/{tenantUid}/users/{tenantUserUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 306
{
"accountType": "FULL",
"defaultStoreUid": "text",
"displayName": "text",
"email": "text",
"externalId": "text",
"firstname": "text",
"lastname": "text",
"mobile": "text",
"password": "text",
"storeAccess": [
{
"storeUid": "text",
"storeRole": "ADMIN"
}
],
"tenantRole": "ACCESS",
"userCode": "text",
"languageCode": "text",
"active": true
}200
Tenant user respose
{
"accountType": "FULL",
"createdAt": "2026-01-01T00:00:00.000Z",
"defaultStoreUid": "text",
"displayName": "text",
"email": "text",
"externalId": "text",
"firstname": "text",
"lastAccessed": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastname": "text",
"mobile": "text",
"status": "PENDING_INVITE",
"storeAccess": [
{
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"storeAccessUid": "text",
"storeUid": "text",
"storeRole": "ADMIN"
}
],
"tenantUid": "text",
"tenantName": "text",
"tenantRole": "ACCESS",
"tenantUserUid": "text",
"userCode": "text",
"languageCode": "text",
"permissions": {
"tenant": [
"text"
],
"stores": [
{
"store": {
"name": "text",
"storeUid": "text",
"organizationUid": "text",
"organizationName": "text"
},
"permissions": [
"text"
]
}
],
"organizations": [
{
"organization": {
"name": "text",
"organizationUid": "text"
},
"permissions": [
"text"
]
}
]
}
}Last updated
Was this helpful?

